## libzip 0.9.3-3maemo0

=== debian/changelog ===
libzip (0.9.3-3maemo0) unstable; urgency=low
  * Initial port for Fremantle
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Fri,  5 Oct 2012 17:51:01 +0200

libzip (0.9-3-3+0m6) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.9-3-3+0m6

 -- BIFH Bot <sysint@maemo.research.nokia.com>  Tue, 22 Mar 2011 12:21:38 +0200

libzip (0.9-3-3) unstable; urgency=low

  Changed -dbg package to have the correct names.
  * Fixes: NB#231556 - libzip1 is missing debug symbols

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Tue, 22 Mar 2011 12:21:37 +0200

libzip (0.9-3-1) unstable; urgency=low

  Added the -dbg package for debug symbols
  * Fixes: NB#231556 - libzip1 is missing debug symbols

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Mon, 14 Mar 2011 12:32:31 +0200
