=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libzip
 Priority: optional
-Maintainer: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.15), autotools-dev, zlib1g-dev
-Standards-Version: 3.8.4
+Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
+XSBC-Original-Maintainer: Fathi Boudra <fabo@debian.org>
+Build-Depends: cdbs, debhelper7 (>= 7), quilt, autotools-dev, zlib1g-dev, maemo-optify, cmake
+Standards-Version: 3.8.2
 Section: libs
 Homepage: http://www.nih.at/libzip/
 
 Package: libzip-dev
 Section: libdevel
 Architecture: any
-Depends: libzip1 (= ${binary:Version}), ${misc:Depends}, zlib1g-dev
+Depends: libzip1 (= ${binary:Version}), zlib1g-dev
 Description: library for reading, creating, and modifying zip archives (development)
  libzip is a C library for reading, creating, and modifying zip archives. Files
  can be added from data buffers, files, or compressed data copied directly from
@@ -19,6 +20,7 @@
  applications that use the libzip library API.
 
 Package: libzip1
+Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for reading, creating, and modifying zip archives (runtime)
@@ -54,3 +56,40 @@
 Description: torrentzip zip archives
  ziptorrent torrentzips archive. This is a restricted file format used for
  using bittorrent on zip files.
+
+Package: libzip1-dbg
+Section: libdevel
+Architecture: any
+Depends: libzip1 (= ${binary:Version})
+Description: Debug symbols for library for manipulating zip archives
+ libzip is a C library for reading, creating, and modifying zip archives. Files
+ can be added from data buffers, files, or compressed data copied directly from
+ other zip archives. Changes made without closing the archive can be reverted.
+ .
+ This package contains the debug symbols for the libzip library.
+
+Package: zipcmp-dbg
+Section: debug
+Architecture: any
+Depends: zipcmp (= ${binary:Version})
+Description: Debug symbols for compare contents of zip archives
+ zipcmp compares two zip archives and checks if they contain the same files,
+ comparing their names, uncompressed sizes, and CRCs. File order and compressed
+ size differences are ignored.
+
+Package: zipmerge-dbg
+Section: debug
+Architecture: any
+Depends: zipmerge (= ${binary:Version})
+Description: Debug symbols for merge zip archives
+ zipmerge merges a source zip archives into a target zip archive.
+ By default, files in the source zip archives overwrite existing files of the
+ same name in the target zip archive.
+
+Package: ziptorrent-dbg
+Section: debug
+Architecture: any
+Depends: ziptorrent (= ${binary:Version})
+Description: Debug symbols for torrentzip zip archives
+ ziptorrent torrentzips archive. This is a restricted file format used for
+ using bittorrent on zip files.
