=== debian/rules ===
#!/usr/bin/make -f

PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_DH_MAKESHLIBS_ARGS_ALL := -V
CFLAGS += -g
#DEB_DH_STRIP_ARGS := --dbg-package=libzip-dbg
DEB_DBG_PACKAGE_libzip1 = libzip1-dbg
DEB_DBG_PACKAGE_zipcmp = zipcmp-dbg
DEB_DBG_PACKAGE_zipmerge = zipmerge-dbg
DEB_DBG_PACKAGE_ziptorrent = ziptorrent-dbg

override_dh_gencontrol:
	dh_gencontrol
	maemo-optify
