## libzip 0.10

=== debian/changelog ===
libzip (0.10-1ubuntu1) precise; urgency=low

  * SECURITY UPDATE: arbitrary code execution or information leak via
    heap overflow and numeric overflow.
    - debian/patches/CVE-2012-116x.patch: fix overflow and loop in
      lib/zip_open.c.
    - CVE-2012-1162
    - CVE-2012-1163

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 28 Mar 2012 15:05:00 -0400

libzip (0.10-1) unstable; urgency=low

  * New upstream release. (Closes: #647131)
  * Add patches:
    - fix_open_nonarchive_test.patch
    - fix_zipconf_path.patch
  * Update debian/compat: bump to 8.
  * Update debian/rules:
    - build depends on dh-autoreconf.
    - bump debhelper build dependency to 8.0.0.
    - bump Standards-Version to 3.9.0 - no changes needed.
    - rename libzip1 to libzip2 (bump soname).
  * Update debian/rules:
    - use dh with autoreconf.
    - drop override_dh_auto_test.
  * Update debian/*.install files.

 -- Fathi Boudra <fabo@debian.org>  Sat, 31 Dec 2011 14:39:13 +0200
