=== debian/control ===
Source: libzip
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, zlib1g-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.nih.at/libzip/

Package: libzip-dev
Section: libdevel
Architecture: any
Depends: libzip2 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
Description: library for reading, creating, and modifying zip archives (development)
 libzip is a C library for reading, creating, and modifying zip archives. Files
 can be added from data buffers, files, or compressed data copied directly from
 other zip archives. Changes made without closing the archive can be reverted.
 .
 This package contains the static libraries and headers for developing
 applications that use the libzip library API.

Package: libzip2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for reading, creating, and modifying zip archives (runtime)
 libzip is a C library for reading, creating, and modifying zip archives. Files
 can be added from data buffers, files, or compressed data copied directly from
 other zip archives. Changes made without closing the archive can be reverted.
 .
 This package contains the files necessary for running applications that
 use the libzip library.

Package: zipcmp
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: compare contents of zip archives
 zipcmp compares two zip archives and checks if they contain the same files,
 comparing their names, uncompressed sizes, and CRCs. File order and compressed
 size differences are ignored.

Package: zipmerge
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: merge zip archives
 zipmerge merges a source zip archives into a target zip archive.
 By default, files in the source zip archives overwrite existing files of the
 same name in the target zip archive.

Package: ziptorrent
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: torrentzip zip archives
 ziptorrent torrentzips archive. This is a restricted file format used for
 using bittorrent on zip files.
