=== debian/changelog ===
libzip (0.10.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: dh_auto_test: make -j1 check returned exit code 2":
    add patch fix_autotools_tests.diff (autotools test fix, backported from
    upstream 0.11.1), taken from Ubuntu package. Thanks, Bjoern Michaelsen.
    (Closes: #713393, LP: #1197023)

 -- gregor herrmann <gregoa@debian.org>  Sun, 03 Nov 2013 15:27:06 +0100

libzip (0.10.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Re-enable tests
  * Fix broken decrypt on amd64 (Closes: 665225).

 -- Luk Claes <luk@debian.org>  Sat, 07 Jul 2012 02:03:46 +0000

libzip (0.10.1-1) unstable; urgency=low

  * New upstream release: fix CVE-2012-1162 and CVE-2012-1163
    Incorrect loop construct and numeric overflow. (Closes: #664990, #665957)

 -- Fathi Boudra <fabo@debian.org>  Mon, 21 May 2012 15:16:11 +0300
