=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libzip
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, zlib1g-dev
-Standards-Version: 3.9.2
+Maintainer: Fathi Boudra <fabo@debian.org>
+Build-Depends: debhelper (>= 8), dh-autoreconf, zlib1g-dev
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://www.nih.at/libzip/
