=== debian/watch ===
version=3
http://www.nih.at/libzip/libzip-(.*)\.tar\.gz
